AnsweredAssumed Answered

Upgrade 4.2.d to 5.0.b and SOLR4 Index Problem

Question asked by haroldtheb on Oct 14, 2014
Latest reply on Nov 20, 2014 by dbiggins
I upgraded my Alfresco installation from 4.2.d to 5.0.b.  I restored the database and contentstore from a cold backup.  Upon restart of the new 5.0.b installation, all documents are available, but indexing is not working.  The solr.log is showing this:

21:35:00,049 ERROR [org.alfresco.solr.tracker.MetadataTracker] First transaction was not found with the correct timestamp.
21:35:00,049 ERROR [org.alfresco.solr.tracker.MetadataTracker] SOLR has successfully connected to your repository  however the SOLR indexes and repository database do not match.
21:35:00,049 ERROR [org.alfresco.solr.tracker.MetadataTracker] If this is a new or rebuilt database your SOLR indexes also need to be re-built to match the database.
21:35:00,050 ERROR [org.alfresco.solr.tracker.MetadataTracker] You can also check your SOLR connection details in solrcore.properties.
21:35:00,058 ERROR [org.alfresco.solr.tracker.AbstractTracker] Tracking failed
org.alfresco.error.AlfrescoRuntimeException: 09130004 Initial acl transaction not found with correct timestamp
   at org.alfresco.solr.tracker.AclTracker.checkRepoAndIndexConsistency(AclTracker.java:361)
   at org.alfresco.solr.tracker.AclTracker.trackRepository(AclTracker.java:313)
   at org.alfresco.solr.tracker.AclTracker.doTrack(AclTracker.java:104)
   at org.alfresco.solr.tracker.AbstractTracker.track(AbstractTracker.java:155)
   at org.alfresco.solr.tracker.TrackerJob.execute(TrackerJob.java:47)
   at org.quartz.core.JobRunShell.run(JobRunShell.java:216)
   at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:563)


So it appears I need to rebuild the index.  The Alfresco documentation on this seems to be geared to the older version of SOLR.  How do I rebuild the index in SOLR4?  I'm not a programmer, so I would appreciate help.

Outcomes